# Create transcripts presentation

#### HTTP request <a href="#http-request" id="http-request"></a>

POST  /v1/create/transcripts

**Authorization**

*OAuth2PasswordBearer*

```
Authorization: OAuth2PasswordBearer
```

**Request Body schema: json data**

<table><thead><tr><th>KEY</th><th>TYPE</th><th>VALUE</th></tr></thead><tbody><tr><td>task_type</td><td>String</td><td> <code>create_video</code></td></tr><tr><td>dest_lang</td><td>String</td><td>The target language for translation.</td></tr><tr><td><p></p><p>meta_files</p></td><td>String</td><td><p>The value is taken from the upload api<br></p><pre><code>Example: [
    {
        "filename": "2.text_image.pdf",
        "status": true,
        "credits": 4.92,
        "task_id": "f911298671b240f5984060c62cbbb218",
        "size": "0.18 MB"
    }
]
</code></pre></td></tr><tr><td>tone</td><td>String</td><td>Tone of the translation, if applicable</td></tr><tr><td>domain</td><td>String</td><td>The domain or field of the content, which can help in choosing specialized translation models.</td></tr><tr><td>custom_prompt</td><td>String</td><td>Custom prompt to be used for the translation</td></tr><tr><td>voice</td><td>String</td><td>The voice of the text-to-speech.<br>Enum: "james", "john" ,"william", "michael", "david", "emily"</td></tr></tbody></table>

**Response**

**200:** Success

Response schema: *application/json*

| KEY          | VALUE                                                                                                                                                                                                                |
| ------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| status\_code | 200                                                                                                                                                                                                                  |
| content      | { "data": { "task\_id": "0d05c89e6f2c472ab86b291516e8e466" }, "errors": \[], "error\_description": "", "start\_time": "2024-03-11 13:05:42.080757", "end\_time": "2024-03-11 13:05:42.348086", "status": "success" } |

**400:** Bad Request

| KEY          | VALUE                                                                                                                                                                                                   |   |
| ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| status\_code | 400                                                                                                                                                                                                     |   |
| content      | { "data": {}, "errors": \[ "Error" ], "error\_description": "Error while sending message. Please check server!", "start\_time": "yyyy-mm-dd hh-mm-ss utc+7", "end\_time": "yyyy-mm-dd hh-mm-ss utc+7" } |   |
|              |                                                                                                                                                                                                         |   |

**401: A**uthentication Error

| KEY          | VALUE                             |   |
| ------------ | --------------------------------- | - |
| status\_code | 401                               |   |
| content      | { "detail": "Not authenticated" } |   |
|              |                                   |   |

Response schema: *application/json*

| detail |   |
| ------ | - |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.doctranslate.io/presentation-video-api/api-v1/create-transcripts-presentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
